Update the webhook configuration
curl --request PUT \
--url https://api.nuvia.ai/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"custom_headers": {}
}
'import requests
url = "https://api.nuvia.ai/v1/webhooks/{id}"
payload = {
"url": "<string>",
"events": [],
"custom_headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], custom_headers: {}})
};
fetch('https://api.nuvia.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"company": {},
"url": "<string>",
"events": [
"MESSAGE_SENT"
],
"custom_headers": {},
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Webhooks
Update the webhook configuration
Use the id returned by GET /v1/webhooks. A webhook from another company returns 403.
PUT
/
v1
/
webhooks
/
{id}
Update the webhook configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Body
application/json
Webhook URL to receive events
List of events that will trigger the webhook
Minimum array length:
1Available options:
MESSAGE_SENT, MESSAGE_RECEIVED, MESSAGE_DELIVERED, MESSAGE_READ, CONVERSATION_UPDATED, CONVERSATION_CREATED, FOLLOWUP_SENT, FIELD_UPDATED, CONTACT_CREATED, CONTACT_UPDATED Custom headers to send along with the webhook
Show child attributes
Show child attributes
Webhook status (ACTIVE or INACTIVE)
Available options:
ACTIVE, INACTIVE Response
200 - application/json
Available options:
MESSAGE_SENT, MESSAGE_RECEIVED, MESSAGE_DELIVERED, MESSAGE_READ, CONVERSATION_UPDATED, CONVERSATION_CREATED, FOLLOWUP_SENT, FIELD_UPDATED, CONTACT_CREATED, CONTACT_UPDATED Available options:
ACTIVE, INACTIVE